Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IVerticalRulerExtension

All Known Implementing Classes:
  CompositeRuler, VerticalRuler

    public interface IVerticalRulerExtension

Extension interface for `IVerticalRuler`.

Allows to set the font of the vertical ruler and to set the location of the last mouse button activity.

Since:
  2.0

Method Summary
`void` `setFont(Font font)` Sets the font of this vertical ruler.
`void` `setLocationOfLastMouseButtonActivity(int x, int y)` Sets the location of the last mouse button activity.

Method Detail

### setFont

    void setFont(Font font)

  Sets the font of this vertical ruler.

  Parameters:
    `font` - the new font of the vertical ruler

### setLocationOfLastMouseButtonActivity

    void setLocationOfLastMouseButtonActivity(int x,
                                              int y)

  Sets the location of the last mouse button activity. This method is used for example by external mouse listeners.

  Parameters:
    `x` - the x-coordinate
    `y` - the y-coordinate

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.